"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const loglevel_1 = __importDefault(require("loglevel"));
const url_1 = require("url");
const MappingService_1 = require("../service/MappingService");
const GlobalService_1 = require("../service/GlobalService");
const ScenarioService_1 = require("../service/ScenarioService");
const RequestService_1 = require("../service/RequestService");
const RecordingService_1 = require("../service/RecordingService");
const LogUtil_1 = require("../util/LogUtil");
class WireMockRestClient {
    constructor(baseUri) {
        LogUtil_1.LogUtil.logger()
            .setLevel(process.env.WRC_LOG_LEVEL || loglevel_1.default.levels.INFO);
        this.baseUri = url_1.resolve(baseUri, '__admin/');
    }
    get mappings() {
        return new MappingService_1.MappingService(this.baseUri);
    }
    get requests() {
        return new RequestService_1.RequestService(this.baseUri);
    }
    get recordings() {
        return new RecordingService_1.RecordingService(this.baseUri);
    }
    get scenarios() {
        return new ScenarioService_1.ScenarioService(this.baseUri);
    }
    get global() {
        return new GlobalService_1.GlobalService(this.baseUri);
    }
}
exports.WireMockRestClient = WireMockRestClient;
