"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
const LogUtil_1 = require("./LogUtil");
class FileUtil {
    static getFileContent(fileName) {
        try {
            return fs.readFileSync(path.join(process.cwd(), fileName), 'utf8');
        }
        catch (error) {
            LogUtil_1.LogUtil.handleError(`Error: ${error}`);
            return '';
        }
    }
    static getFilesFromDir(directoryName, files = []) {
        const fullDirectoryPath = path.join(process.cwd(), directoryName);
        try {
            fs.readdirSync(fullDirectoryPath).forEach((fileName) => {
                const fullPath = path.join(fullDirectoryPath, fileName);
                if (fs.lstatSync(fullPath).isDirectory()) {
                    this.getFilesFromDir(path.join(directoryName, fileName), files);
                }
                else {
                    files.push(path.join(directoryName, fileName));
                }
            });
        }
        catch (error) {
            LogUtil_1.LogUtil.handleError(`Error: ${error}`);
        }
        return files;
    }
}
exports.FileUtil = FileUtil;
